Specs (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.api.specs

## [Java] Class Specs

- org.gradle.api.specs.Specs

- Provides a number of Spec implementations.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Spec<Object>` | `SATISFIES_ALL` |
    `static Spec<Object>` | `SATISFIES_NONE` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static AndSpec<T>` | `and(Spec<? super T>... specs)` Returns a spec that selects the intersection of those items selected by the given specs.
    `static AndSpec<T>` | `and(Collection<? extends Spec<? super T>> specs)` Returns a spec that selects the intersection of those items selected by the given specs.
    `static Spec<T>` | `convertClosureToSpec(groovy.lang.Closure closure)`
    `static Spec<T>` | `intersect(Spec<? super T>... specs)` Returns a spec that selects the intersection of those items selected by the given specs.
    `static Spec<T>` | `intersect(Collection<? extends Spec<? super T>> specs)` Returns a spec that selects the intersection of those items selected by the given specs.
    `static Spec<T>` | `negate(Spec<? super T> spec)` Returns a spec that selects everything that is not selected by the given spec.
    `static NotSpec<T>` | `not(Spec<? super T> spec)` Returns a spec that selects everything that is not selected by the given spec.
    `static OrSpec<T>` | `or(Spec<? super T>... specs)` Returns a spec that selects the union of those items selected by the provided spec.
    `static OrSpec<T>` | `or(Collection<? extends Spec<? super T>> specs)` Returns a spec that selects the union of those items selected by the provided spec.
    `static Spec<T>` | `or(boolean defaultWhenNoSpecs, List<? extends Spec<? super T>> specs)` Returns a spec that selects the union of those items selected by the provided spec.
    `static Spec<T>` | `satisfyAll()`
    `static Spec<T>` | `satisfyNone()`
    `static Spec<T>` | `union(Spec<? super T>... specs)` Returns a spec that selects the union of those items selected by the provided spec.
    `static Spec<T>` | `union(Collection<? extends Spec<? super T>> specs)` Returns a spec that selects the union of those items selected by the provided spec.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final Spec<Object> SATISFIES_ALL

    - #### public static final Spec<Object> SATISFIES_NONE

  - ### Method Detail

    - #### @Deprecated public static AndSpec<T> and(Spec<? super T>... specs)

      Returns a spec that selects the intersection of those items selected by the given specs. Returns a spec that selects everything when no specs provided.

      deprecated:
        Use intersect(Spec[]) instead.

    - #### @Deprecated public static AndSpec<T> and(Collection<? extends Spec<? super T>> specs)

      Returns a spec that selects the intersection of those items selected by the given specs. Returns a spec that selects everything when no specs provided.

      deprecated:
        Use intersect(Collection) instead.

    - #### public static Spec<T> convertClosureToSpec(groovy.lang.Closure closure)

    - #### public static Spec<T> intersect(Spec<? super T>... specs)

      Returns a spec that selects the intersection of those items selected by the given specs. Returns a spec that selects everything when no specs provided.

    - #### public static Spec<T> intersect(Collection<? extends Spec<? super T>> specs)

      Returns a spec that selects the intersection of those items selected by the given specs. Returns a spec that selects everything when no specs provided.

    - #### public static Spec<T> negate(Spec<? super T> spec)

      Returns a spec that selects everything that is not selected by the given spec.

    - #### @Deprecated public static NotSpec<T> not(Spec<? super T> spec)

      Returns a spec that selects everything that is not selected by the given spec.

      deprecated:
        Use negate(Spec) instead.

    - #### @Deprecated public static OrSpec<T> or(Spec<? super T>... specs)

      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.

      deprecated:
        Use union(Spec[]) instead.

    - #### @Deprecated public static OrSpec<T> or(Collection<? extends Spec<? super T>> specs)

      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.

      deprecated:
        Use union(Collection) instead.

    - #### @Deprecated public static Spec<T> or(boolean defaultWhenNoSpecs, List<? extends Spec<? super T>> specs)

      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.

      deprecated:
        Use union(Collection) instead.

    - #### public static Spec<T> satisfyAll()

    - #### public static Spec<T> satisfyNone()

    - #### public static Spec<T> union(Spec<? super T>... specs)

      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.

    - #### public static Spec<T> union(Collection<? extends Spec<? super T>> specs)

      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.